#!/bin/ash
if [ "`id -u`" != "0" -a -z "$1" ]
then
exec /sbin/start-stop-daemon -S -c root:root -x "$0" -- restart
exit 1
fi
. /home/native/.profile
AppFile=`basename $0`
AppDir=`echo $0 | sed -e 's|/'$AppFile'||g'`
volume=`$AppDir/hwtool -v -o | sed s/:/\ =/`
if [ "`mount | grep /dev/dsp`" = "" ]
then
case "`$AppDir/hwtool -M | sed 's/mixer in:. out://'`" in
0 )
default=1
output=Phones
;;
1 )
default=0
output=Main
;;
2 )
default=2
output=Flip
;;
esac
else
default=3
output=Null
fi
case "`$AppDir/inputbox -t "<h3>zMix</h3>" -l "$output $volume%" -select -d $default -item "Output → Main" -item "Output → Phones" -item "Output → Flip" -item "Output → Null" -item "► Enable sound" -item "Volume → 5%" -item "Volume → 10%" -item "Volume → 15%" -item "Volume → 20%" -item "Volume → 25%" -item "Volume → 30%" -item "Volume → 35%" -item "Volume → 40%" -item "Volume → 45%" -item "Volume → 50%" -item "Volume → 55%" -item "Volume → 60%" -item "Volume → 65%" -item "Volume → 70%" -item "Volume → 75%" -item "Volume → 80%" -item "Volume → 85%" -item "Volume → 90%" -item "Volume → 95%" -item "Volume → 100%"`" in
"" )
exit
;;
Select=0 )
while [ "`mount | grep /dev/dsp`" != "" ]
do
umount /dev/dsp
done
$AppDir/hwtool -M 1 0
;;
Select=1 )
while [ "`mount | grep /dev/dsp`" != "" ]
do
umount /dev/dsp
done
$AppDir/hwtool -M 0 0
;;
Select=2 )
while [ "`mount | grep /dev/dsp`" != "" ]
do
umount /dev/dsp
done
$AppDir/hwtool -M 2 0
;;
Select=3 )
while [ "`mount | grep /dev/dsp`" != "" ]
do
umount /dev/dsp
done 
mount --bind /dev/null /dev/dsp
$AppDir/vib 250000
;;
Select=4 )
if [ "`mount | grep /dev/dsp`" != "" ]
then
while [ "`mount | grep /dev/dsp`" != "" ]
do
umount /dev/dsp
done
$AppDir/vib 250000
$AppDir/vib 250000
else
$AppDir/showQ -1 Ok -s Dialog_Exclamatory_Mark -t 5 -m 'Already enabled !!!' > /dev/null
fi
exit
;;
Select=5 )
$AppDir/hwtool -v -o 5
;;
Select=6 )
$AppDir/hwtool -v -o 10
;;
Select=7 )
$AppDir/hwtool -v -o 15
;;
Select=8 )
$AppDir/hwtool -v -o 20
;;
Select=9 )
$AppDir/hwtool -v -o 25
;;
Select=10 )
$AppDir/hwtool -v -o 30
;;
Select=11 )
$AppDir/hwtool -v -o 35
;;
Select=12 )
$AppDir/hwtool -v -o 40
;;
Select=13 )
$AppDir/hwtool -v -o 45
;;
Select=14 )
$AppDir/hwtool -v -o 50
;;
Select=15 )
$AppDir/hwtool -v -o 55
;;
Select=16 )
$AppDir/hwtool -v -o 60
;;
Select=17 )
$AppDir/hwtool -v -o 65
;;
Select=18 )
$AppDir/hwtool -v -o 70
;;
Select=19 )
$AppDir/hwtool -v -o 75
;;
Select=20 )
$AppDir/hwtool -v -o 80
;;
Select=21 )
$AppDir/hwtool -v -o 85
;;
Select=22 )
$AppDir/hwtool -v -o 90
;;
Select=23 )
$AppDir/hwtool -v -o 95
;;
Select=24 )
$AppDir/hwtool -v -o 100
;;
esac
if [ "`mount | grep /dev/dsp`" = "" ]
then
if [ -f $AppDir/mpg123 ]
then
$AppDir/mpg123 -2 $AppDir/ding_dong.mp3
fi
fi
